@tailwind base;
@tailwind components;
@tailwind utilities;

:root {
  --foreground-rgb: 0, 0, 0;
  --background-start-rgb: 255, 255, 255;
  --background-end-rgb: 255, 255, 255;
}

@media (prefers-color-scheme: dark) {
  :root {
    --foreground-rgb: 255, 255, 255;
    --background-start-rgb: 100, 50, 100;
    --background-end-rgb: 25, 100, 100;
  }
}

* {
  transition: all 0.5s;
}

body {
  color: white;
  background:black;
}

.logo {
  text-align: center;
}

/* Flechas de navegación */
.swiper-button-next,
.swiper-button-prev {
  color: rgb(2, 134, 119) !important;
  /* Cambia esto al color que desees */
}


/* Paginación (puntos) */
.swiper-pagination-bullet {
  background-color: white !important;
  /* Color de los puntos */
  opacity: 1;
}

.swiper-pagination-bullet-active {
  background-color: rgb(2, 134, 119) !important;
  /* Color del punto activo */
}

@layer utilities {
  .text-balance {
    text-wrap: balance;
  }
}

@media (min-width: 768px) {
  body {
    width: 100%;
    font-size: 20px;
  }

  /* HEADER */
  .logo {
    width: 80px;
  }

  .sidebar {
    display: none;
  }

  .nav-header {
    display: block
  }

}

/* Estilos para pantallas más grandes que 1024px (large desktop y superiores) */
@media (min-width: 1024px) {

  .logo {
    width: 80px;
  }
}